# Record TCefMediaRouter

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMediaRouter = record`

## Description

Supports discovery of and communication with media devices on the local network via the Cast and DIAL protocols. The functions of this structure may be called on any browser process thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefMediaRouter.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_router_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `add_observer: function(self: PCefMediaRouter; observer: PCefMediaObserver): PCefRegistration; stdcall;`
| `get_source: function(self: PCefMediaRouter; const urn: PCefString): PCefMediaSource; stdcall;`
| `notify_current_sinks: procedure(self: PCefMediaRouter); stdcall;`
| `create_route: procedure(self: PCefMediaRouter; source: PCefMediaSource; sink: PCefMediaSink; callback: PCefMediaRouteCreateCallback); stdcall;`
| `notify_current_routes: procedure(self: PCefMediaRouter); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `add_observer: function(self: PCefMediaRouter; observer: PCefMediaObserver): PCefRegistration; stdcall;`
This item has no description.

| `get_source: function(self: PCefMediaRouter; const urn: PCefString): PCefMediaSource; stdcall;`
This item has no description.

| `notify_current_sinks: procedure(self: PCefMediaRouter); stdcall;`
This item has no description.

| `create_route: procedure(self: PCefMediaRouter; source: PCefMediaSource; sink: PCefMediaSink; callback: PCefMediaRouteCreateCallback); stdcall;`
This item has no description.

| `notify_current_routes: procedure(self: PCefMediaRouter); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.